FishOutFishOut

Get a background operation status

GET/orgs/{organizationId}/projects/{projectId}/operations/{operationId}

Get a background operation status. Webhook, Slack, Discord, Telegram, Email, Zapier, Microsoft Teams, Google Chat, Mattermost, ntfy, Feishu / Lark, DingTalk and WeCom notification channels deliver for real; webhook requests are signed.

Authorization

AuthorizationBearer <token>

Scoped FishOut API key. Never send credentials in query parameters.

In: header

Path Parameters

organizationId*string
Length1 <= length
projectId*string
Length1 <= length
operationId*string
Length1 <= length

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/orgs/string/projects/string/operations/string"
{  "data": {    "id": "string",    "organizationId": "string",    "projectId": "string",    "kind": "string",    "status": "string",    "attempts": 0,    "result": "string",    "errorCode": "string",    "createdAt": "2019-08-24T14:15:22Z",    "completedAt": "2019-08-24T14:15:22Z",    "property1": "string",    "property2": "string"  },  "meta": {    "requestId": "string",    "replayed": true  }}